> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Sign up a new user



## OpenAPI

````yaml api-reference/openapi.json post /api/auth/signup
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/auth/signup:
    post:
      tags:
        - Auth
      summary: Sign up a new user
      operationId: AuthController_signup
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuthSignupDto'
      responses:
        '201':
          description: Sign-up initiated. Check email for confirmation.
components:
  schemas:
    AuthSignupDto:
      type: object
      properties:
        firstName:
          type: string
          example: John
          description: User first name
        lastName:
          type: string
          example: Doe
          description: User last name
        email:
          type: string
          example: john.doe@example.com
          description: User email address
        password:
          type: string
          example: password123
          description: User password
      required:
        - firstName
        - lastName
        - email
        - password

````